# Serialized Form

## Package org.pentaho.reporting.libraries.resourceloader

### Class org.pentaho.reporting.libraries.resourceloader.CompoundResource

class CompoundResource extends Object implements Serializable

serialVersionUID:
  -5828242419391352185L

#### Serialized Fields

##### dependencies

    DependencyCollector dependencies

##### product

    Object product

##### source

    ResourceKey source

##### targetType

    Class targetType

### Exception Class org.pentaho.reporting.libraries.resourceloader.ContentNotRecognizedException

class ContentNotRecognizedException extends ResourceCreationException implements Serializable

serialVersionUID:
  816828118909665976L

### Class org.pentaho.reporting.libraries.resourceloader.DependencyCollector

class DependencyCollector extends Object implements Serializable

serialVersionUID:
  -3568774359923270189L

#### Serialized Fields

##### dependencies

    HashMap dependencies

### Class org.pentaho.reporting.libraries.resourceloader.FactoryParameterKey

class FactoryParameterKey extends Object implements Serializable

serialVersionUID:
  4574332935778105499L

#### Serialized Fields

##### name

    String name

### Class org.pentaho.reporting.libraries.resourceloader.LoaderParameterKey

class LoaderParameterKey extends Object implements Serializable

serialVersionUID:
  248656222959755320L

#### Serialized Fields

##### name

    String name

### Exception Class org.pentaho.reporting.libraries.resourceloader.ResourceCreationException

class ResourceCreationException extends ResourceException implements Serializable

serialVersionUID:
  3808811250190779639L

### Exception Class org.pentaho.reporting.libraries.resourceloader.ResourceException

class ResourceException extends org.pentaho.reporting.libraries.base.util.StackableException implements Serializable

serialVersionUID:
  9017929290846143507L

### Class org.pentaho.reporting.libraries.resourceloader.ResourceKey

class ResourceKey extends Object implements Serializable

serialVersionUID:
  -7764107570068726772L

#### Serialized Fields

##### factoryParameters

    Map factoryParameters

##### hashCode

    Integer hashCode

##### identifier

    Object identifier

##### parent

    ResourceKey parent

##### schema

    Object schema

### Exception Class org.pentaho.reporting.libraries.resourceloader.ResourceKeyCreationException

class ResourceKeyCreationException extends ResourceException implements Serializable

serialVersionUID:
  -8411385657974722306L

### Exception Class org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException

class ResourceLoadingException extends ResourceException implements Serializable

serialVersionUID:
  -940152083042961377L

### Class org.pentaho.reporting.libraries.resourceloader.SimpleResource

class SimpleResource extends Object implements Serializable

serialVersionUID:
  -6007941678785921339L

#### Serialized Fields

##### key

    ResourceKey key

##### targetType

    Class targetType

##### value

    Object value

##### version

    long version

### Exception Class org.pentaho.reporting.libraries.resourceloader.UnrecognizedLoaderException

class UnrecognizedLoaderException extends ResourceLoadingException implements Serializable

serialVersionUID:
  6319955849184970434L

## Package org.pentaho.reporting.libraries.resourceloader.cache

### Class org.pentaho.reporting.libraries.resourceloader.cache.BundleCacheResourceWrapper

class BundleCacheResourceWrapper extends Object implements Serializable

#### Serialized Fields

##### outsideKey

    ResourceKey outsideKey

##### parent

    Resource parent

### Class org.pentaho.reporting.libraries.resourceloader.cache.CachingResourceBundleData

class CachingResourceBundleData extends Object implements Serializable

serialVersionUID:
  -7272527822440412818L

#### Serialized Fields

##### attributes

    HashMap attributes

##### data

    ResourceBundleData data

### Class org.pentaho.reporting.libraries.resourceloader.cache.CachingResourceData

class CachingResourceData extends Object implements Serializable

serialVersionUID:
  -1749415356208356705L

#### Serialized Fields

##### attributes

    HashMap attributes

##### data

    ResourceData data

### Class org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceBundleDataCacheEntry

class DefaultResourceBundleDataCacheEntry extends Object implements Serializable

serialVersionUID:
  980125445121523950L

#### Serialized Fields

##### data

    ResourceBundleData data

##### version

    long version

### Class org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceDataCacheEntry

class DefaultResourceDataCacheEntry extends Object implements Serializable

serialVersionUID:
  -8308023147327221724L

#### Serialized Fields

##### data

    ResourceData data

##### version

    long version

## Package org.pentaho.reporting.libraries.resourceloader.loader

### Class org.pentaho.reporting.libraries.resourceloader.loader.AbstractResourceData

class AbstractResourceData extends Object implements Serializable

serialVersionUID:
  -2578855461270413802L

### Class org.pentaho.reporting.libraries.resourceloader.loader.URLResourceData

class URLResourceData extends AbstractResourceData implements Serializable

serialVersionUID:
  -7183025686032509509L

#### Serialized Fields

##### contentLength

    Long contentLength

##### contentType

    String contentType

##### filename

    String filename

##### key

    ResourceKey key

##### lastDateMetaDataRead

    long lastDateMetaDataRead

##### metaDataOK

    boolean metaDataOK

##### modificationDate

    long modificationDate

##### url

    URL url

## Package org.pentaho.reporting.libraries.resourceloader.loader.file

### Class org.pentaho.reporting.libraries.resourceloader.loader.file.FileResourceData

class FileResourceData extends AbstractResourceData implements Serializable

serialVersionUID:
  -5719048997437795736L

#### Serialized Fields

##### file

    File file

##### key

    ResourceKey key

## Package org.pentaho.reporting.libraries.resourceloader.loader.resource

### Class org.pentaho.reporting.libraries.resourceloader.loader.resource.ClassloaderResourceData

class ClassloaderResourceData extends AbstractResourceData implements Serializable

serialVersionUID:
  980009972320937886L

#### Serialized Fields

##### key

    ResourceKey key

##### resourcePath

    String resourcePath

## Package org.pentaho.reporting.libraries.resourceloader.loader.zip

### Class org.pentaho.reporting.libraries.resourceloader.loader.zip.ZipEntryKey

class ZipEntryKey extends Object implements Serializable

#### Serialized Fields

##### entryName

    String entryName

##### zipFile

    ResourceData zipFile

### Class org.pentaho.reporting.libraries.resourceloader.loader.zip.ZipResourceData

class ZipResourceData extends AbstractResourceData implements Serializable

serialVersionUID:
  -7432641415119820243L

#### Serialized Fields

##### key

    ResourceKey key